Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.jdbc
Class ParameterBinding

    java.lang.Object
      org.apache.cayenne.access.jdbc.ParameterBinding

    public class ParameterBinding

extends Object

Describes PreparedStatement parameter binding.

Since:
  1.1

Field Summary
`protected int` | `jdbcType`
`protected int` | `scale`
`protected Object` | `value`

Constructor Summary
`ParameterBinding(Object value, int jdbcType, int scale)`

Method Summary
`int` | `getJdbcType()`
`int` | `getPrecision()` Deprecated. since 3.0 use `getScale()`.
`int` | `getScale()`
`Object` | `getValue()`
`void` | `setJdbcType(int i)`
`void` | `setPrecision(int i)` Deprecated. since 3.0 use `setScale(int)`.
`void` | `setScale(int i)`
`void` | `setValue(Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jdbcType

    protected int jdbcType

### scale

    protected int scale

### value

    protected Object value

Constructor Detail

### ParameterBinding

    public ParameterBinding(Object value,
                            int jdbcType,
                            int scale)

Method Detail

### getJdbcType

    public int getJdbcType()

### getPrecision

    @Deprecated
    public int getPrecision()

  Deprecated. since 3.0 use `getScale()`.

### getScale

    public int getScale()

  Since:
    3.0

### getValue

    public Object getValue()

### setJdbcType

    public void setJdbcType(int i)

### setScale

    public void setScale(int i)

  Since:
    3.0

### setPrecision

    @Deprecated
    public void setPrecision(int i)

  Deprecated. since 3.0 use `setScale(int)`.

### setValue

    public void setValue(Object object)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.